Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.ControlObjectsVisibility=function(){
throw Error.invalidOperation();
};
Telerik.Web.UI.ControlObjectsVisibility.prototype={None:0,CheckBoxes:1,RemoveButtons:2,ClearButtons:4,AddButton:8,DeleteSelectedButton:16,Default:(1|2|4|16),All:(1|2|4|8|16)};
Telerik.Web.UI.ControlObjectsVisibility.registerEnum("Telerik.Web.UI.ControlObjectsVisibility",false);
Type.registerNamespace("Telerik.Web.UI.RadUploadUtils");
Telerik.Web.UI.RadUploadUtils.Localization={"Remove":"Remove","Add":"Add","Clear":"Clear","Select":"Select","Delete":"Delete"};
function getRadUpload(_1){
return $find(_1);
}
Telerik.Web.UI.RadUpload=function(_2){
Telerik.Web.UI.RadUpload.initializeBase(this,[_2]);
this._formId="";
this._enabled=true;
this._maxFileCount=0;
this._initialFileInputsCount=1;
this._inputSize=23;
this._controlObjectsVisibility=Telerik.Web.UI.ControlObjectsVisibility.Default;
this._showCheckboxes=true;
this._showRemoveButtons=true;
this._showClearButtons=true;
this._showAddButton=true;
this._showDeleteButton=true;
this._focusOnLoad=false;
this._enableFileInputSkinning=true;
this._readOnlyFileInputs=false;
this._allowedFileExtensions=[];
this._currentIndex=0;
this._localization=null;
this._rtlCalculated=false;
this._isRightToLeft=false;
};
Telerik.Web.UI.RadUpload.prototype={initialize:function(){
Telerik.Web.UI.RadUpload.callBaseMethod(this,"initialize");
this._updateFormProperties($get(this._formId));
this._listContainer=this._findElement("ListContainer");
this._addButton=this._initButton(this._findElement("AddButton"),"Add",this.addFileInput);
this._deleteButton=this._initButton(this._findElement("DeleteButton"),"Delete",this.deleteSelectedFileInputs);
var _3=this._maxFileCount==0?this._initialFileInputsCount:Math.min(this._initialFileInputsCount,this._maxFileCount);
for(var i=0;i<_3;i++){
this.addFileInput();
}
this._setAddDeleteButtonStates();
this._initialized=true;
},dispose:function(){
if(this._addButton){
$clearHandlers(this._addButton);
}
if(this._deleteButton){
$clearHandlers(this._deleteButton);
}
var _5=this._getRowCount();
for(var i=0;i<_5;i++){
var _7=this._getRow(i);
if(_7){
$clearHandlers(_7);
var _8=this.getFileInputFrom(_7);
if(_8){
$clearHandlers(_8);
}
var _9=this._getChildSelectButton(_7);
if(_9){
$clearHandlers(_9);
}
var _a=this._getChildFileNameInputField(_7);
if(_a){
$clearHandlers(_a);
}
}
}
Telerik.Web.UI.RadUpload.callBaseMethod(this,"dispose");
},_updateFormProperties:function(_b){
if(!_b){
_b=document.forms[0];
}
_b.enctype=_b.encoding="multipart/form-data";
},_getChildInputElement:function(_c,_d){
var _e=_c.getElementsByTagName("input");
for(var i=0;i<_e.length;i++){
if(_e[i].type==_d){
return _e[i];
}
}
return null;
},_getChildInputElements:function(row,_11){
var _12=[];
var _13=row.getElementsByTagName("input");
var num=0;
for(var i=0;i<_13.length;i++){
if(_13[i].type==_11){
_12[num]=_13[i];
num++;
}
}
return _12;
},_getChildUploadCheckbox:function(row){
var _17=new RegExp(this.get_id()+"checkbox\\d+$");
var _18=this._getChildInputElements(row,"checkbox");
for(var i=0;i<_18.length;i++){
if(_18[i].id.match(_17)){
return _18[i];
}
}
return null;
},_getChildSelectButton:function(row){
var _1b=/ruBrowse/;
var _1c=this._getChildInputElements(row,"button");
for(var i=0;i<_1c.length;i++){
if(_1b.test(_1c[i].className)){
return _1c[i];
}
}
return null;
},_getChildFileNameInputField:function(row){
var _1f=/ruFakeInput/;
var _20=this._getChildInputElements(row,"text");
for(var i=0;i<_20.length;i++){
if(_1f.test(_20[i].className)){
return _20[i];
}
}
return null;
},_getRowCount:function(){
var _22=this._listContainer.getElementsByTagName("li").length;
if(this._showAddButton||this._showDeleteButton){
return _22-1;
}else{
return _22;
}
},_getParentRow:function(_23){
if(!_23){
return null;
}
var _24=_23.parentNode;
while(_24.tagName!="LI"){
_24=_24.parentNode;
if(null==_24){
break;
}
}
return _24;
},_getRowIndex:function(row){
var _26=this._listContainer;
var _27=_26.getElementsByTagName("li");
for(var i=0;i<_27.length;i++){
if(_27[i]==row){
return i;
}
}
return null;
},_getRow:function(_29){
var _2a=this._listContainer;
var _2b=_2a.getElementsByTagName("li");
var _2c=(_29<_2b.length)?_2b[_29]:null;
return _2c;
},_addRow:function(_2d){
if(_2d<0){
_2d=0;
}
var row=document.createElement("LI");
var _2f=this._getRow(_2d);
var _30=this._listContainer;
if(_2f){
_30.insertBefore(row,_2f);
}else{
_30.appendChild(row);
}
return row;
},getID:function(_31){
return this.get_id()+_31+this._currentIndex;
},_findElement:function(_32){
var _33=this.get_id()+_32;
return $get(_33);
},_getIsRightToLeft:function(){
if(!this._rtlCalculated){
var _34=this.get_element();
this._isRightToLeft=$telerik.getCurrentStyle(_34,"direction","ltr")=="rtl";
return this._isRightToLeft;
this._rtlCalculated=true;
}
return this._isRightToLeft;
},_initButton:function(_35,_36,_37){
if(_35){
var loc=this.get_localization();
_35.value=loc[_36];
if(this._enabled){
if(_37){
$addHandlers(_35,{"click":_37},this);
}
}else{
_35.disabled=true;
}
}
return _35;
},addFileInput:function(_39){
var _3a=this.addFileInputAt(this._getRowCount());
if(this._initialized){
try{
_3a.focus();
}
catch(ex){
}
}
},addFileInputAt:function(_3b){
if(typeof (_3b)=="undefined"||_3b>this._getRowCount()){
_3b=this._getRowCount();
}
if(this._maxFileCount>0&&_3b>=this._maxFileCount){
return;
}
if(this._initialized){
var _3c=new Sys.CancelEventArgs();
this.raiseEvent("adding",_3c);
if(_3c.get_cancel()){
return;
}
}
this.addFileInputAtInternal(_3b);
},addFileInputAtInternal:function(_3d){
var row=this._addRow(_3d);
$addHandlers(row,{"click":this._rowClicked},this);
if(this._showCheckboxes){
this.appendCheckBox(row);
}
this.appendStyledFileInput(row);
if(this._showClearButtons){
this.appendClearButton(row);
}
if(this._showRemoveButtons){
this.appendRemoveButton(row);
}
this._setAddDeleteButtonStates();
var _3f=new Sys.EventArgs();
_3f._row=row;
_3f.get_row=function(){
return this._row;
};
this.raiseEvent("added",_3f);
this._currentIndex++;
return row;
},appendCheckBox:function(_40){
var _41=document.createElement("input");
_41.type="checkbox";
_41.id=_41.name=this.getID("checkbox");
_40.appendChild(_41);
_41.className="ruCheck";
_41.disabled=!this._enabled;
return _41;
},appendClearButton:function(_42){
var _43=document.createElement("input");
_43.type="button";
_43.id=this.getID("clear");
_42.appendChild(_43);
this._initButton(_43,"Clear");
_43.className="ruButton ruClear";
_43.name="ClearInput";
_43.disabled=!this._enabled;
return _43;
},appendRemoveButton:function(_44){
var _45=document.createElement("input");
_45.type="button";
_45.id=this.getID("remove");
_44.appendChild(_45);
var loc=this.get_localization();
_45.value=loc["Remove"];
_45.className="ruButton ruRemove";
_45.name="RemoveRow";
_45.disabled=!this._enabled;
return _45;
},appendStyledFileInput:function(_47){
var _48=this.createFileInput();
this._fileInput=_48;
$addHandlers(_48,{"change":this.uploadFileSelected},this);
var _49=document.createElement("span");
_49.className="ruFileWrap";
_47.appendChild(_49);
_49.appendChild(_48);
if(this._enableFileInputSkinning){
Sys.UI.DomElement.addCssClass(_49,"ruStyled");
_48.className="ruFileInput";
this._appendFakeInput(_49);
if(!this._readOnlyFileInputs){
$addHandlers(_48,{"keyup":this._syncFileInputContent},this);
}else{
$addHandlers(_48,{"keydown":this._cancelEvent},this);
}
if($telerik.standardsMode){
this._hideFileInput(_48);
_49.style.position="static";
var _4a={"mousemove":this._getFileInputMouseMoveHandler(),"mouseover":this._getFileInputMouseMoveHandler(),"mouseout":this._getFileInputMouseOutHandler()};
$addHandlers(_48,_4a,this);
}
return _49;
}else{
_48.className="";
if(this._readOnlyFileInputs){
$addHandlers(_48,{"keydown":this._cancelEvent},this);
}
return _48;
}
},_selectButtonMouseOver:function(e){
var _4c=e.target||e.srcElement;
var row=this._getParentRow(_4c);
var _4e=this.getFileInputFrom(row);
this._positionFileInput(_4e,_4c,this._getChildFileNameInputField(row),e);
},_selectButtonMouseOut:function(e){
var _50=e.target||e.srcElement;
var row=this._getParentRow(_50);
var _52=this.getFileInputFrom(row);
this._hideFileInput(_52);
},_hideFileInput:function(_53){
var _54={x:0,y:-5000};
$telerik.setLocation(_53,_54);
},_getScrollBarWidth:function(){
var _55,_56=0;
var _57=document.createElement("div");
_57.style.position="absolute";
_57.style.top="-1000px";
_57.style.left="-1000px";
_57.style.width="100px";
_57.style.height="50px";
_57.style.overflow="hidden";
var _58=document.createElement("div");
_58.style.width="100%";
_58.style.height="200px";
_57.appendChild(_58);
document.body.appendChild(_57);
var _59=_58.offsetWidth;
_57.style.overflow="auto";
var _5a=_58.offsetWidth;
this._scrollbarWidth=_59-_5a;
if(this._scrollbarWidth<=0){
_58.style.width="300px";
_55=_57.offsetWidth;
_56=_57.clientWidth;
this._scrollbarWidth=_55-_56;
}
if(this._scrollbarWidth<=0){
this._scrollbarWidth=16;
}
document.body.removeChild(document.body.lastChild);
return this._scrollbarWidth;
},_positionFileInput:function(_5b,_5c,_5d,e){
var _5f;
if($telerik.isMouseOverElement(_5c,e)){
var _60=$telerik.getDocumentRelativeCursorPosition(e);
_5f={x:_60.left+10-_5b.offsetWidth,y:_60.top+10-_5b.offsetHeight};
_5f=this._adjustLocationToNonStaticParent(_5f,_5c);
if(this._getIsRightToLeft()){
_5f.x+=_5d.offsetWidth;
}
}else{
if($telerik.isMouseOverElement(_5d,e)){
_5f=$telerik.getLocation(_5d);
_5f=this._adjustLocationToNonStaticParent(_5f,_5d);
if(this._getIsRightToLeft()){
_5f.x-=_5c.offsetWidth;
if($telerik.isIE){
_5f.x-=this._getScrollBarWidth();
}
}
}else{
this._hideFileInput(_5b);
return;
}
}
$telerik.setLocation(_5b,_5f);
},_adjustLocationToNonStaticParent:function(_61,_62){
var _63=this._getFirstNonStaticParent();
if(_63){
var _64=$telerik.getLocation(_63);
_61.x-=_64.x;
_61.y-=_64.y;
if($telerik.isFirefox){
_61.y-=parseInt($telerik.getCurrentStyle(_62,"paddingTop",0));
_61.y-=parseInt($telerik.getCurrentStyle(_62,"paddingBottom",0));
_61.y-=parseInt($telerik.getCurrentStyle(_62,"borderTop",0));
_61.y-=parseInt($telerik.getCurrentStyle(_62,"borderBottom",0));
_61.y-=parseInt($telerik.getCurrentStyle(_62,"marginTop",0));
_61.y-=parseInt($telerik.getCurrentStyle(_62,"marginBottom",0));
if(_63.tagName.toLowerCase()=="fieldset"){
if(_62.type=="text"){
_61.x-=parseInt($telerik.getCurrentStyle(_63,"marginLeft"))+2||2;
}
_61.y-=parseInt($telerik.getCurrentStyle(_63,"paddingTop",0));
_61.x-=parseInt($telerik.getCurrentStyle(_63,"paddingLeft",0));
}
}
}
return _61;
},_getLocation:function(_65){
var l=$telerik.getLocation(_65);
return l;
},_getFirstNonStaticParent:function(){
if(typeof (this._firstNonStaticParent)=="undefined"){
this._firstNonStaticParent=null;
var _67=this.get_element();
while(_67&&_67.nodeType!=9&&this._isElementStatic(_67)){
_67=_67.parentNode;
}
if(_67&&_67.nodeType!=9){
this._firstNonStaticParent=_67;
}
}
return this._firstNonStaticParent;
},_isElementStatic:function(_68){
var _69=true;
var _6a=$telerik.getCurrentStyle(_68,"position").toLowerCase();
if(_6a!=""&&_6a!="static"){
_69=false;
}
return _69;
},_fileInputMouseMove:function(e){
var _6c=e.target||e.srcElement;
var row=this._getParentRow(_6c);
var _6e=this._getChildSelectButton(row);
this._positionFileInput(_6c,_6e,this._getChildFileNameInputField(row),e);
},_fileInputMouseOut:function(e){
var _70=e.target||e.srcElement;
var row=this._getParentRow(_70);
var _72=this._getChildSelectButton(row);
this._positionFileInput(_70,_72,this._getChildFileNameInputField(row),e);
},_onFakeFileInputMouseEvent:function(e){
var _74=e.target||e.srcElement;
var row=this._getParentRow(_74);
var _76=this.getFileInputFrom(row);
if($telerik.getLocation(_74)==$telerik.getLocation(_76)){
return;
}
this._positionFileInput(_76,this._getChildSelectButton(row),_74,e);
},_getFileInputMouseMoveHandler:function(){
if(this._fileInputMouseMoveHandler==null){
this._fileInputMouseMoveHandler=Function.createDelegate(this,this._fileInputMouseMove);
}
return this._fileInputMouseMoveHandler;
},_getFileInputMouseOutHandler:function(){
if(this._fileInputMouseOutHandler==null){
this._fileInputMouseOutHandler=Function.createDelegate(this,this._fileInputMouseOut);
}
return this._fileInputMouseOutHandler;
},_getSelectButtonMouseOverHandler:function(){
if(this._selectButtonMouseOverHandler==null){
this._selectButtonMouseOverHandler=Function.createDelegate(this,this._selectButtonMouseOver);
}
return this._selectButtonMouseOverHandler;
},_getSelectButtonMouseOutHandler:function(){
if(this._selectButtonMouseOutHandler==null){
this._selectButtonMouseOutHandler=Function.createDelegate(this,this._selectButtonMouseOut);
}
return this._selectButtonMouseOutHandler;
},_getFakeFileInputMouseHandler:function(){
if(this._fakeFileInputMouseHandler==null){
this._fakeFileInputMouseHandler=Function.createDelegate(this,this._onFakeFileInputMouseEvent);
}
return this._fakeFileInputMouseHandler;
},_initFakeInputSelectButton:function(_77){
var _78={"mouseover":this._getSelectButtonMouseOverHandler(),"mouseout":this._getSelectButtonMouseOutHandler()};
if($telerik.isIE){
_78["mousemove"]=this._getSelectButtonMouseOverHandler();
}
$addHandlers(_77,_78,this);
},_appendFakeInput:function(_79){
var _7a=document.createElement("input");
_7a.type="text";
_7a.className="ruFakeInput";
_7a.size=this._inputSize-1;
if($telerik.standardsMode){
var _7b={"mouseover":this._getFakeFileInputMouseHandler(),"mousemove":this._getFakeFileInputMouseHandler(),"mouseout":this._getFakeFileInputMouseHandler()};
$addHandlers(_7a,_7b,this);
}
_79.appendChild(_7a);
var _7c=document.createElement("input");
_7c.type="button";
_79.appendChild(_7c);
this._initButton(_7c,"Select");
this._initFakeInputSelectButton(_7c);
_7c.disabled=!this._enabled;
_7c.className="ruButton ruBrowse";
if($telerik.isSafari){
var _7d=$telerik.getBounds(_7c).width;
var _7e=$telerik.getBounds(_7a).width;
var _7f=this._fileInput;
if(_7f){
_7f.style.width=(_7d+_7e)+"px";
}
}
},createFileInput:function(){
var _80=document.createElement("input");
_80.type="file";
_80.name=this.getID("file");
_80.id=this.getID("file");
_80.disabled=!this._enabled;
_80.size=this._inputSize;
return _80;
},_setAddDeleteButtonStates:function(){
var _81=this._getRowCount();
this._setButtonState(this._deleteButton,_81>0);
this._setButtonState(this._addButton,(this._maxFileCount<=0)||(_81<this._maxFileCount));
},_setButtonState:function(_82,_83){
if(_82){
if(_83){
Sys.UI.DomElement.removeCssClass(_82,"ruButtonDisabled");
}else{
Sys.UI.DomElement.addCssClass(_82,"ruButtonDisabled");
}
}
},_cancelEvent:function(_84){
return $telerik.cancelRawEvent(_84);
},clearFileInputAt:function(_85){
var row=this._getRow(_85);
if(row){
var _87=new Sys.CancelEventArgs();
_87._fileInputField=this.getFileInputFrom(row);
_87.get_fileInputField=function(){
return this._fileInputField;
};
this.raiseEvent("clearing",_87);
if(_87.get_cancel()){
return false;
}
this.deleteFileInputAt(_85,true);
this.addFileInputAtInternal(_85,true);
}
},deleteSelectedFileInputs:function(_88){
var _89=[];
var _8a=[];
var _8b=this._getRowCount()-1;
for(var i=_8b;i>=0;i--){
var _8d=this._getRow(i);
var _8e=this._getChildUploadCheckbox(_8d);
if(_8e&&_8e.checked){
_8a[_8a.length]=i;
_89[_89.length]=this.getFileInputFrom(_8d);
}
}
var _8f=new Sys.CancelEventArgs();
_8f._fileInputFields=_89;
_8f.get_fileInputFields=function(){
return this._fileInputFields;
};
this.raiseEvent("deletingSelected",_8f);
if(_8f.get_cancel()){
return;
}
for(var i=0;i<_8a.length;i++){
this.deleteFileInputAt(_8a[i],true);
}
},deleteFileInputAt:function(_90,_91){
var row=this._getRow(_90);
if(row){
if(!_91){
var _93=new Sys.CancelEventArgs();
_93._fileInputField=this.getFileInputFrom(row);
_93.get_fileInputField=function(){
return this._fileInputField;
};
this.raiseEvent("deleting",_93);
if(_93.get_cancel()){
return false;
}
}
var _94=this._getChildSelectButton(row);
if(_94){
$clearHandlers(_94);
}
$clearHandlers(row);
row.parentNode.removeChild(row);
this._setAddDeleteButtonStates();
}
},getFileInputFrom:function(row){
return this._getChildInputElement(row,"file");
},getFileInputs:function(){
var _96=[];
var _97=this._getRowCount();
for(var i=0;i<_97;i++){
_96[_96.length]=this.getFileInputFrom(this._getRow(i));
}
return _96;
},uploadFileSelected:function(e){
if(this._enableFileInputSkinning){
this._syncFileInputContent(e);
}
var _9a=e.target;
_9a.alt=_9a.title=_9a.value;
var _9b=new Sys.EventArgs();
_9b._fileInputField=_9a;
_9b.get_fileInputField=function(){
return this._fileInputField;
};
this.raiseEvent("fileSelected",_9b);
},_syncFileInputContent:function(e){
var _9d=e.target;
var _9e=_9d.parentNode.getElementsByTagName("input");
var _9f=null;
for(var i=0;i<_9e.length;i++){
var _a1=_9e[i];
if(_a1.type=="text"){
_9f=_a1;
break;
}
}
if(_9d!==_9f){
_9f.value=_9d.value;
_9f.title=_9d.value;
}
},isExtensionValid:function(_a2){
if(_a2==""){
return true;
}
var _a3=this._allowedFileExtensions.length;
for(var i=0;i<_a3;i++){
var _a5=this._allowedFileExtensions[i];
var _a6=_a5.substring(1);
var _a7=new RegExp("."+_a6+"$","ig");
if(_a2.match(_a7)){
return true;
}
}
return false;
},validateExtensions:function(){
var _a8=this._getRowCount();
for(var i=0;i<_a8;i++){
var row=this._getRow(i);
var _ab=this.getFileInputFrom(row).value;
if(!this.isExtensionValid(_ab)){
return false;
}
}
return true;
},_rowClicked:function(e){
var _ad=e.target;
var _ae=this._getParentRow(_ad);
var _af=this._getRowIndex(_ae);
if(_ad.name=="RemoveRow"){
this.deleteFileInputAt(_af);
}else{
if(_ad.name=="ClearInput"){
this.clearFileInputAt(_af);
}
}
},get_localization:function(){
return this._localization;
},set_localization:function(_b0){
this._localization=_b0;
},get_inputSize:function(){
return this._inputSize;
},set_inputSize:function(_b1){
this._inputSize=_b1;
},get_controlObjectsVisibility:function(){
return this._controlObjectsVisibility;
},set_controlObjectsVisibility:function(_b2){
this._controlObjectsVisibility=_b2;
var _b3=Telerik.Web.UI.ControlObjectsVisibility;
this._showCheckboxes=(_b2&_b3.CheckBoxes);
this._showRemoveButtons=(_b2&_b3.RemoveButtons);
this._showClearButtons=(_b2&_b3.ClearButtons);
this._showAddButton=(_b2&_b3.AddButton);
this._showDeleteButton=(_b2&_b3.DeleteSelectedButton);
},get_allowedFileExtensions:function(){
return this._allowedFileExtensions;
},set_allowedFileExtensions:function(_b4){
if(!_b4){
this._allowedFileExtensions=[];
}else{
this._allowedFileExtensions=eval(_b4);
}
},get_enabled:function(){
return this._enabled;
},set_enabled:function(_b5){
this._enabled=_b5;
},get_maxFileCount:function(){
return this._maxFileCount;
},set_maxFileCount:function(_b6){
this._maxFileCount=_b6;
},get_initialFileInputsCount:function(){
return this._initialFileInputsCount;
},set_initialFileInputsCount:function(_b7){
this._initialFileInputsCount=_b7;
},get_enableFileInputSkinning:function(){
return this._enableFileInputSkinning;
},set_enableFileInputSkinning:function(_b8){
this._enableFileInputSkinning=_b8;
},get_focusOnLoad:function(){
return this._focusOnLoad;
},set_focusOnLoad:function(_b9){
this._focusOnLoad=_b9;
},get_formId:function(){
return this._formId;
},set_formId:function(_ba){
this._formId=_ba;
},get_readOnlyFileInputs:function(){
return this._readOnlyFileInputs;
},set_readOnlyFileInputs:function(_bb){
this._readOnlyFileInputs=_bb;
},add_adding:function(_bc){
this.get_events().addHandler("adding",_bc);
},remove_adding:function(_bd){
this.get_events().removeHandler("adding",_bd);
},add_added:function(_be){
this.get_events().addHandler("added",_be);
},remove_added:function(_bf){
this.get_events().removeHandler("added",_bf);
},add_fileSelected:function(_c0){
this.get_events().addHandler("fileSelected",_c0);
},remove_fileSelected:function(_c1){
this.get_events().removeHandler("fileSelected",_c1);
},add_deleting:function(_c2){
this.get_events().addHandler("deleting",_c2);
},remove_deleting:function(_c3){
this.get_events().removeHandler("deleting",_c3);
},add_clearing:function(_c4){
this.get_events().addHandler("clearing",_c4);
},remove_clearing:function(_c5){
this.get_events().removeHandler("clearing",_c5);
},add_deletingSelected:function(_c6){
this.get_events().addHandler("deletingSelected",_c6);
},remove_deletingSelected:function(_c7){
this.get_events().removeHandler("deletingSelected",_c7);
}};
Telerik.Web.UI.RadUpload.registerClass("Telerik.Web.UI.RadUpload",Telerik.Web.UI.RadWebControl);

